id: wordpress-updraftplus

info:
  name: UpdraftPlus' WP Backup & Migration Plugin Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/updraftplus/
  metadata:
    plugin_namespace: updraftplus
    wpscan: https://wpscan.com/plugin/updraftplus
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/updraftplus/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/updraftplus.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100a4306577a4b7f7825683a783065338bb52f3d0d0e0d01421282de801a7bda3b0022073b318842e1034548877c02ee2ab5dbba4a0e3fd0599228e11fddc92754ca3d2:922c64590222798bb761d5b6d8e72950